//#define XERR
#include "probgroup.ih"

// see README.probgroup

// static
uint16_t ProbGroup::probIndexOf(Vector const &vect, double value, double prob)
{
    for (ProbGroup const &group: vect)
    {
        if (group.contains(value))
            return group.indexOf(prob);
    }

    return static_cast<uint16_t>(string::npos);
}



